Submit the HIE-CM to send all the open order for patient
Share the response of HIECM's /hiecm/api/v3/scan-gateway/patient/on-share/open API.
Header
AUTHORIZATION will be provided by the gateway session API after the successful verification of client ID and Secret [ Example: Bearer ]
REQUEST-ID unique UUID[ Example: 18235d89-cb13-479d-ad71-7a57d5f669a8 ]
TIMESTAMP actual time of the requested was initiated[ Example: 2022-10-06T10:10:00.587Z ]
X-CM-ID consent manager ID [ Example: sbx ]
Request Body
intent This is a key value pair which contains the purpose [ Example: type: OPEN_PAYMENT_ORDER ]
ABHA address of the user.
PatientUid of the user.
error is optional object in case of any error or Failure then only send error object
procedures which contains the list of open order
response which contains the requestId [ Example: requestId: 059fcb69-8ad8-4789-a049-62db16c7b5a0 ] The access token from POST /api/hiecm/gateway/v3/sessions, sent with a Unique UUID for track the end to end request transaction Actual time of the request was initiated, ISO 8601 represents date and time by starting with the year, followed by the month, the day, the hour, the minutes, seconds and milliseconds. Suffix of the consent manager to which the request was intended Bad Request The error code and message, if any occurred. ABDM-2500 - no mapping found to the resp.requestId cache. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Unauthorized 900901 - Invalid Credentials. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Too Many Requests The error code and message, if any occurred. ABDM-2429 - Too Many Requests found. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Internal Server Error The error code and message, if any occurred. ABDM-2500 - Unknown error occurred. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator. Service Unavailable ABDM-2500 - Service Unavailable. May be returned either bare or with a trailing ": " separator; match on the code itself and tolerate the separator.Authorizations
Authorizationbearer tokenRequiredBearer prefix.Headers
REQUEST-IDstringRequiredTIMESTAMPstringRequiredX-CM-IDstringRequiredResponses
400errorobjecterror.codestringRequirederror.messagestringRequired401codestringmessagestringdescriptionstring429errorobjecterror.codestringRequirederror.messagestringRequired500errorobjecterror.codestringRequirederror.messagestringRequired503codestringRequiredmessagestringRequired
Callbacks
- You make this call in reply to This is an API is called by HIU to check the status of reports., which ABDM posts to
/v3/patient/share/open-order. Open the callback.